This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 912871 - Perf: resource configuration update taking a lot of backend resources
Perf: resource configuration update taking a lot of backend resources
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Performance (Show other bugs)
4.5
All All
high Severity high (vote)
: ---
: RHQ 4.6
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-19 16:39 EST by Jay Shaughnessy
Modified: 2013-09-03 10:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 10:42:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2013-02-19 16:39:32 EST
Agents discovering large inventories of resources with resource config can hammer the server, especially with the initial res config updates.

We need to look into concurrency limits and also general algorithms involved in the updates.
Comment 1 Jay Shaughnessy 2013-02-19 16:42:13 EST
master commit 4385fbb69a2dfd9aced1f8802e9477dfb44860ae

Scalability work for resource config update.  We already added concurrency limits
that should throttle how many config updates the server gets hit with at one
time but we also want to see if we can relieve the intense banging on the db
and speed up the update time for each resource.
Comment 2 John Mazzitelli 2013-02-20 09:55:35 EST
related to this area, I added a concurrency limit to the config update API which helped alot. See bug #912525
Comment 3 Jay Shaughnessy 2013-02-20 09:57:28 EST
Setting to ON_QA, although these changes are implicit and handled by
integration testing.  Recommend to close.
Comment 4 Heiko W. Rupp 2013-09-03 10:42:09 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.